﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BarcodeEx
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_Paint(object sender, PaintEventArgs e)
        {
            var bc = Medo.Drawing.BarcodeImage.GetNewCode128(barkodText.Text);
            bc.SetElementWidth(1);
            bc.Paint(e.Graphics, barkodText.Left, barkodText.Bottom + 7, 32); //you can paint this on printer also (PrintPage).
        }

        private void barkodText_TextChanged(object sender, EventArgs e)
        {
            this.Invalidate();
        }
    }
}
